POST https://theapiengine.in/api/v1/standard/standard-users/

Create new standard user records.

Endpoint Details

Endpoint Name

List & Create Standard Users

Authentication Required

Yes

Minimum Plan

FREE onwards

HTTP Method

POST

Endpoint Path

https://theapiengine.in/api/v1/standard/standard-users/

Status

Active

Endpoint Description

POST: - Creates one or multiple standard users - Bulk creation is supported (maximum 50 records per request) - Email must be unique among non-deleted records - Records are soft-deleted on removal - For a single record, you send a normal JSON. - For bulk records, you can send a list of JSON records. Please refer to the following example: [ {record_1}, {record_2}, ..., {record_n} ] Note : n can be a maximum of 50 records in one API call.

Sample Payloads

Sample Request (JSON)

    {'email': 'aarav.sharma@example.com', 'is_active': True, 'last_name': 'Sharma', 'first_name': 'Aarav'}
            

Sample Response (JSON)

    {'uuid': '2b8f5f3e-9f0a-4c73-9c5f-87f24c8e91a1', 'email': 'aarav.sharma@example.com', 'is_active': True, 'last_name': 'Sharma', 'created_at': '2026-01-10T07:25:12Z', 'first_name': 'Aarav', 'created_by_username': 'kunal'}
            

Request ↔ Response Flow

Sample Request

Sample Request

Sample Response

Sample Response